Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class EBAnwendung

    java.lang.Object
      sum.ereignis.Ereignisanwendung
          sum.ereignis.EBAnwendung

All Implemented Interfaces:
  Serializable, Runnable

    public class EBAnwendung

extends Ereignisanwendung

Die EBAnwendung ist die Ereignisbearbeiteranwendung, die es ermoeglicht, eigene Ereignisbearbeiter in die Ereignisverwaltung einzubinden. Diese Ereignisbearbeiter werden in einer Liste verwaltet und erhalten von der Ereignisbearbeiteranwendung Informationen ueber aufgetretene Ereignisse.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.ereignis.Ereignisanwendung
`hatBildschirm, hatSuMPrivateAnwendung`

Constructor Summary
`EBAnwendung()` Die EBAnwendung wird initialisiert.
`EBAnwendung(boolean pMitDoubleBuffering)` Die EBAnwendung wird initialisiert.
`EBAnwendung(int pBreite, int pHoehe)` Die EBAnwendung wird initialisiert.
`EBAnwendung(int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Die EBAnwendung wird initialisiert.
`EBAnwendung(int pLinks, int pOben, int pBreite, int pHoehe)` Die EBAnwendung wird initialisiert.
`EBAnwendung(int pLinks, int pOben, int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Die EBAnwendung wird initialisiert.

Method Summary
`void` | `bearbeiteDoppelKlick(int pWoH, int pWoV)` Das Doppelklickereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteFokusErhalten()` Das Fokuserhaltenereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteFokusVerloren()` Das Fokusverlorenereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteLeerlauf()` Das Leerlaufereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteMausBewegt(int pWohinH, int pWohinV)` Das Mausbewegtereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteMausDruck(int pWoH, int pWoV)` Das Mausdruckereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteMausLos(int pWoH, int pWoV)` Das Mauslosereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteTaste(char pZeichen)` Das Tastaturereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `bearbeiteUpdate()` Das Updateereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.
`void` | `meldeAn(Ereignisbearbeiter pEreignisbearbeiter)` Ein neuer Ereignisbearbeiter wird registriert und erhaelt ab sofort Informationen ueber aufgetretene Ereignisse.

Methods inherited from class sum.ereignis.Ereignisanwendung
`beenden, besitztFokus, bildschirm, fuehreAus, fuehrtAus, gibFrei, halteAn, melde, run, setzeFokus, warte`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EBAnwendung

    public EBAnwendung()

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer.

### EBAnwendung

    public EBAnwendung(boolean pMitDoubleBuffering)

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer.

  Parameters:
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

### EBAnwendung

    public EBAnwendung(int pBreite,
                       int pHoehe)

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer. Die Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters

### EBAnwendung

    public EBAnwendung(int pBreite,
                       int pHoehe,
                       boolean pMitDoubleBuffering)

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer. Die Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

### EBAnwendung

    public EBAnwendung(int pLinks,
                       int pOben,
                       int pBreite,
                       int pHoehe)

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer. Die linke obere Ecke und Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des zugehoerigen Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des zugehoerigen Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters

### EBAnwendung

    public EBAnwendung(int pLinks,
                       int pOben,
                       int pBreite,
                       int pHoehe,
                       boolean pMitDoubleBuffering)

  Die EBAnwendung wird initialisiert. Die Ereignisbearbeiterliste ist leer. Die linke obere Ecke und Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des zugehoerigen Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des zugehoerigen Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

Method Detail

### bearbeiteDoppelKlick

    public void bearbeiteDoppelKlick(int pWoH,
                                     int pWoV)

  Das Doppelklickereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteDoppelKlick` in class `Ereignisanwendung`
  Parameters:
    `pWoH` - die horizontale Position der Maus beim Doppelklick
    `pWoV` - die vertikale Position der Maus beim Doppelklick

### bearbeiteFokusErhalten

    public void bearbeiteFokusErhalten()

  Das Fokuserhaltenereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteFokusErhalten` in class `Ereignisanwendung`

### bearbeiteFokusVerloren

    public void bearbeiteFokusVerloren()

  Das Fokusverlorenereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteFokusVerloren` in class `Ereignisanwendung`

### bearbeiteLeerlauf

    public void bearbeiteLeerlauf()

  Das Leerlaufereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteLeerlauf` in class `Ereignisanwendung`

### bearbeiteMausBewegt

    public void bearbeiteMausBewegt(int pWohinH,
                                    int pWohinV)

  Das Mausbewegtereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteMausBewegt` in class `Ereignisanwendung`
  Parameters:
    `pWohinH` - die horizontale Position der Maus nach der Bewegung
    `pWohinV` - die vertikale Position der Maus nach der Bewegung

### bearbeiteMausDruck

    public void bearbeiteMausDruck(int pWoH,
                                   int pWoV)

  Das Mausdruckereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteMausDruck` in class `Ereignisanwendung`
  Parameters:
    `pWoH` - die horizontale Position der Maus beim Druck der Maustaste
    `pWoV` - die vertikale Position der Maus beim Druck der Maustaste

### bearbeiteMausLos

    public void bearbeiteMausLos(int pWoH,
                                 int pWoV)

  Das Mauslosereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteMausLos` in class `Ereignisanwendung`
  Parameters:
    `pWoH` - die horizontale Position der Maus beim Loslassen der Maustaste
    `pWoV` - die vertikale Position der Maus beim Loslassen der Maustaste

### bearbeiteTaste

    public void bearbeiteTaste(char pZeichen)

  Das Tastaturereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteTaste` in class `Ereignisanwendung`
  Parameters:
    `pZeichen` - das Zeichen, welches eingegeben wurde

### bearbeiteUpdate

    public void bearbeiteUpdate()

  Das Updateereignis wird an alle angemeldeten Ereignisbearbeiter weitergeleitet.

  Overrides:
    `bearbeiteUpdate` in class `Ereignisanwendung`

### meldeAn

    public void meldeAn(Ereignisbearbeiter pEreignisbearbeiter)

  Ein neuer Ereignisbearbeiter wird registriert und erhaelt ab sofort Informationen ueber aufgetretene Ereignisse.

  Parameters:
    `pEreignisbearbeiter` - der Ereignisbearbeiter der in die Liste aufgenommen wird

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD